###  | #  |

Public Member Functions | List of all members
default_channel_converter Struct Reference
Channel » Algorithms and Utility Functions » channel_convert

Same as channel_converter, except it takes the destination channel by reference, which allows us to move the templates from the class level to the method level. This is important when invoking it on heterogeneous pixels. More...

`#include <channel_algorithm.hpp>`

## Public Member Functions
template<typename Ch1 , typename Ch2 >
void | operator() (Ch1 const &src, Ch2 &dst) const

## Detailed Description

Same as channel_converter, except it takes the destination channel by reference, which allows us to move the templates from the class level to the method level. This is important when invoking it on heterogeneous pixels.

The documentation for this struct was generated from the following file:

- channel_algorithm.hpp